
From: Jesper Juhl <juhl-lkml@dif.dk>

Signed-off-by: Jesper Juhl <juhl-lkml@dif.dk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sysctl.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN kernel/sysctl.c~remove-redundant-null-check-before-before-kfree-in kernel/sysctl.c
--- 25/kernel/sysctl.c~remove-redundant-null-check-before-before-kfree-in	2005-03-19 14:21:00.000000000 -0800
+++ 25-akpm/kernel/sysctl.c	2005-03-19 14:21:00.000000000 -0800
@@ -991,8 +991,7 @@ int do_sysctl(int __user *name, int nlen
 		int error = parse_table(name, nlen, oldval, oldlenp, 
 					newval, newlen, head->ctl_table,
 					&context);
-		if (context)
-			kfree(context);
+		kfree(context);
 		if (error != -ENOTDIR)
 			return error;
 		tmp = tmp->next;
_
